Name:           nodejs-srs
Version:        0.4.6
Release:        1%{?dist}
Summary:        Spatial reference library for Node.js

License:        BSD
URL:            https://github.com/springmeyer/node-srs
# Real source is http://registry.npmjs.org/srs/-/srs-%{version}.tgz
# but files copied from gdal whose provenance is unclear (as described
# in PROVENANCE.TXT and PROVENANCE.TXT-fedora in gdal) have been
# removed from the tar ball by the cleaner script.
Source0:        srs-%{version}-fedora.tgz
# Cleaner script for the tarball
Source1:        nodejs-srs-cleaner.sh
# Patch out tests which rely on removed files
Patch0:         nodejs-srs-tests.patch
# Patch out use of node-pre-gyp
Patch1:         nodejs-srs-pregyp.patch  
ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp
BuildRequires:  gdal-devel

BuildRequires:  npm(mocha)
BuildRequires:  npm(nan) >= 1.2.0
BuildRequires:  gdal
BuildRequires:  proj-epsg

%{?nodejs_default_filter}

%description
Bindings to libosr for handling spatial references in Node.js.


%prep
%setup -q -n package-fedora
%patch0 -p1
%patch1 -p1
%nodejs_fixdep -r nan
%nodejs_fixdep --dev nan "~1.2.0"
rm -rf deps/* node_modules lib/srs_data


%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
node-gyp configure -- -Dshared_gdal=true -Dmodule_name=srs -Dmodule_path=lib/binding
node-gyp build


%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/srs
cp -pr package.json lib %{buildroot}/%{nodejs_sitearch}/srs
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitearch}/mocha/bin/mocha -R spec


%files
%doc LICENSE.txt README.md
%{nodejs_sitearch}/srs


%changelog
* Thu Nov 20 2014 Tom Hughes <tom@compton.nu> - 0.4.6-1
- Update to 0.4.6 upstream release

* Fri Nov 14 2014 Tom Hughes <tom@compton.nu> - 0.4.5-2
- Make nan a devDependency

* Fri Nov 14 2014 Tom Hughes <tom@compton.nu> - 0.4.5-1
- Update to 0.4.5 upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 22 2014 Tom Hughes <tom@compton.nu> - 0.4.3-1
- Update to 0.4.3 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Tom Hughes <tom@compton.nu> - 0.4.1-1
- Update to 0.4.1 upstream release

* Fri May  2 2014 Tom Hughes <tom@compton.nu> - 0.4.0-1
- Update to 0.4.0 upstream release

* Wed Apr 30 2014 Tom Hughes <tom@compton.nu> - 0.3.12-1
- Update to 0.3.12 upstream release

* Fri Mar 14 2014 Tom Hughes <tom@compton.nu> - 0.3.11-1
- Update to 0.3.11 upstream release

* Fri Feb 14 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.10-3
- rebuild for icu-53 (via v8)

* Thu Feb  6 2014 Tom Hughes <tom@compton.nu> - 0.3.10-2
- Rebuild with correct source archive

* Thu Feb  6 2014 Tom Hughes <tom@compton.nu> - 0.3.10-1
- Update to 0.3.10 upstream release

* Sun Jan 26 2014 Tom Hughes <tom@compton.nu> - 0.3.9-1
- Update to 0.3.9 upstream release

* Fri Nov  8 2013 Tom Hughes <tom@compton.nu> - 0.3.8-1
- Update to 0.3.8 upstream release

* Sun Nov  3 2013 Tom Hughes <tom@compton.nu> - 0.3.7-1
- Update to 0.3.7 upstream release

* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 0.3.6-2
- Rebuild with correct source archive

* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 0.3.6-1
- Update to 0.3.6 upstream release

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.3.3-3
- Don't strip the compiled extension module

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.3.3-2
- Rebuild with correct source archive

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.3.3-1
- Update to 0.3.3 upstream release

* Mon Aug 26 2013 Tom Hughes <tom@compton.nu> - 0.3.2-2
- Don't strip the compiled extension module

* Tue Aug 20 2013 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Update to 0.3.2 upstream release

* Sun Aug 11 2013 Tom Hughes <tom@compton.nu> - 0.3.1-1
- Update to 0.3.1 upstream release

* Thu Aug  8 2013 Tom Hughes <tom@compton.nu> - 0.3.0-1
- Update to 0.3.0 upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr  3 2013 Tom Hughes <tom@compton.nu> - 0.2.20-3
- Filter out provide for Node.js native extension
- Enable tests

* Wed Mar 13 2013 Tom Hughes <tom@compton.nu> - 0.2.20-2
- Restrict supported architectures using ExclusiveArch
- Rebuild against node 0.10

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.2.20-1
- Initial build of 0.2.20
